Package ghidra.app.util.bin.format.pe.cli.blobs

# Enum Class CliBlobMarshalSpec.CliSafeArrayElemType

java.lang.Object
java.lang.Enum<CliBlobMarshalSpec.CliSafeArrayElemType>
ghidra.app.util.bin.format.pe.cli.blobs.CliBlobMarshalSpec.CliSafeArrayElemType

All Implemented Interfaces:
  `Serializable`, `Comparable<CliBlobMarshalSpec.CliSafeArrayElemType>`, `Constable`

Enclosing class:
  `CliBlobMarshalSpec`

public static enum CliBlobMarshalSpec.CliSafeArrayElemType extends Enum<CliBlobMarshalSpec.CliSafeArrayElemType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VT_BOOL`
  `VT_BSTR`
  `VT_CY`
  `VT_DATE`
  `VT_DECIMAL`
  `VT_DISPATCH`
  `VT_ERROR`
  `VT_I1`
  `VT_I2`
  `VT_I4`
  `VT_INT`
  `VT_R4`
  `VT_R8`
  `VT_UI1`
  `VT_UI2`
  `VT_UI4`
  `VT_UINT`
  `VT_UNKNOWN`
  `VT_VARIANT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CliBlobMarshalSpec.CliSafeArrayElemType`
  `fromInt(int id)`
  `int`
  `id()`
  `static CliBlobMarshalSpec.CliSafeArrayElemType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CliBlobMarshalSpec.CliSafeArrayElemType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VT_I2

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_I2

  - ### VT_I4

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_I4

  - ### VT_R4

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_R4

  - ### VT_R8

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_R8

  - ### VT_CY

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_CY

  - ### VT_DATE

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_DATE

  - ### VT_BSTR

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_BSTR

  - ### VT_DISPATCH

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_DISPATCH

  - ### VT_ERROR

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_ERROR

  - ### VT_BOOL

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_BOOL

  - ### VT_VARIANT

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_VARIANT

  - ### VT_UNKNOWN

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_UNKNOWN

  - ### VT_DECIMAL

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_DECIMAL

  - ### VT_I1

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_I1

  - ### VT_UI1

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_UI1

  - ### VT_UI2

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_UI2

  - ### VT_UI4

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_UI4

  - ### VT_INT

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_INT

  - ### VT_UINT

    public static final CliBlobMarshalSpec.CliSafeArrayElemType VT_UINT

- ## Method Details

  - ### values

    public static CliBlobMarshalSpec.CliSafeArrayElemType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CliBlobMarshalSpec.CliSafeArrayElemType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### id

    public int id()

  - ### fromInt

    public static CliBlobMarshalSpec.CliSafeArrayElemType fromInt(int id)